LSH-EXECUV(8)

NAME
lsh-execuv - program to securely execute a program as another user

SYNOPSIS
lsh-execuv [options] program [--] real-argv

DESCRIPTION
This manual page documents briefly the lsh-execuv command. This manual page was written for the Debian distribution because the original program does not have a manual page.

lsh-execuv is a utility program for the lsh server that securely executes a program as a different user. another user.

OPTIONS
A summary of options is included below.

-u uid
    setuid to numeric uid before running program. Usernames are not supported, only numeric uids.

-g gid
    setgid to numeric gid before running program. Group names are not supported, only numeric gids.

-n user-name
    User name, needed for initgroups

-i  Call initgroups, requires that -n user-name be specified.

-c  Clear the list of supplimentary groups.

-p  Use $PATH variable to search for program.

-?  Show summary of options.

SEE ALSO
lsh(1), lshd(8). The programs are documented fully by Lsh, available via the Info system.

AUTHOR
This manual page was written by Timshel Knoll <timshel@debian.org>, for the Debian GNU/Linux system (but may be used by others).